
Foreman - Bug #13567

locale:pack failure in facets/managed_host_extensions.rb

02/04/2016 10:53 AM - Myriam Leggieri

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Rake tasks   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3183

  

Description

Steps:

follow the instructions to install TFM from source

until the following step (on CentOS):

scl enable tfm 'RAILS_ENV=production bundle exec rake db:seed assets:precompile locale:pack'

Expected

successful execution of the command

Actual

Right after "All seed files executed" I get the following error:

Error parsing app/models/concerns/facets/managed_host_extensions.rb:15

               hash["#{facet_definition.name}_attributes"] = facet.attributes.reject { |key, _| %w

(created_at updated_at).include? key }

 #<TypeError: can't convert Array into String> in

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/po_entry.rb:226:in `+'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/po_entry.rb:226:in `set_val

ue'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/parser/ruby.rb:90:in 

`set_current_attribute'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/parser/ruby.rb:264:in

 `block in parse_source'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/parser/ruby.rb:57:in 

`parse'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/parser/ruby.rb:242:in

 `parse_source'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/parser/ruby.rb:217:in

 `parse'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/parser/ruby.rb:134:in

 `parse'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:367:in `b

lock in parse_path'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:360:in `e

ach'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:360:in `p

arse_path'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:168:in `b

lock in parse'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:166:in `e

ach'
/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:166:in `p

arse'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:217:in `g

enerate_pot'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:151:in `r

un'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/xgettext.rb:34:in `ru

n'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/task.rb:330:in `xgett

ext'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/task.rb:314:in `creat

e_pot'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext-3.2.1/lib/gettext/tools/task.rb:306:in `block

 in define_pot_file_task'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `call'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `block in execute

'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:235:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:235:in `execute'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:179:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_

prerequisites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequis

ites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_

prerequisites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequis

ites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_

prerequisites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequis

ites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_

prerequisites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequis

ites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_

prerequisites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

05/21/2024 2/6



/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequis

ites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:165:in `invoke'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/gettext_i18n_rails-1.4.0/lib/gettext_i18n_rails/tasks

.rb:54:in `block (2 levels) in <top (required)>'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `call'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `block in execute

'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:235:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:235:in `execute'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:179:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_

prerequisites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequis

ites'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_

with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call

_chain'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:165:in `invoke'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:150:in `invoke_ta

sk'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:106:in `block (2 

levels) in top_level'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:106:in `each'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:106:in `block in 

top_level'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:115:in `run_with_

threads'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:176:in `standard_

exception_handling'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:75:in `run'

/home/vagrant/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/bin/rake:33:in `<top (required)>'

/home/vagrant/foreman/vendor/ruby/1.9.1/bin/rake:23:in `load'

/home/vagrant/foreman/vendor/ruby/1.9.1/bin/rake:23:in `<main>'

 The result of bundle show follows below:

$ scl enable tfm 'bundle show'

Gems included by the bundle:

  * CFPropertyList (2.2.8)

  * ace-rails-ap (4.0.1)

  * actionmailer (4.1.5)

  * actionpack (4.1.5)

  * actionview (4.1.5)

  * activemodel (4.1.5)

  * activerecord (4.1.5)

  * activerecord-session_store (0.1.2)

  * activesupport (4.1.5)

  * addressable (2.4.0)

  * ancestry (2.1.0)

  * apipie-rails (0.3.5)

  * arel (5.0.1.20140414130214)

  * ast (2.2.0)

  * astrolabe (1.3.1)
  * audited (4.2.0)

  * audited-activerecord (4.2.0)

  * autoparse (0.3.3)

  * autoprefixer-rails (5.2.1.3)

  * awesome_print (1.6.1)

  * bootstrap-sass (3.3.6)

  * builder (3.2.2)

  * bullet (5.0.0)

  * bundler (1.11.2)

  * coderay (1.1.0)

  * coffee-rails (4.1.1)

  * coffee-script (2.4.1)

  * coffee-script-source (1.10.0)

  * concurrent-ruby (1.0.0)

  * deep_cloneable (2.2.0)

  * erubis (2.7.0)

  * excon (0.45.4)

  * execjs (2.4.0)

  * extlib (0.9.16)

  * facter (2.4.6)

  * faraday (0.9.2)

  * fast_gettext (0.9.2)

  * fission (0.5.0)

  * flot-rails (0.0.3)

  * fog (1.37.0)

  * fog-aliyun (0.1.0)

  * fog-atmos (0.1.0)

  * fog-aws (0.8.1)

  * fog-brightbox (0.10.1)

  * fog-core (1.35.0)

  * fog-dynect (0.0.2)

  * fog-ecloud (0.3.0)

  * fog-google (0.1.0)

  * fog-json (1.0.2)

  * fog-libvirt (0.0.3)

  * fog-local (0.2.1)

  * fog-powerdns (0.1.1)

  * fog-profitbricks (0.0.5)

  * fog-radosgw (0.0.5)

  * fog-riakcs (0.1.0)

  * fog-sakuracloud (1.7.5)

  * fog-serverlove (0.1.2)

  * fog-softlayer (1.0.3)

  * fog-storm_on_demand (0.1.1)

  * fog-terremark (0.1.0)

  * fog-vmfusion (0.1.0)

  * fog-voxel (0.1.0)

  * fog-vsphere (0.6.0)

  * fog-xenserver (0.2.3)

  * fog-xml (0.1.2)

  * font-awesome-sass (4.3.2.1)

  * foreigner (1.7.4)

  * formatador (0.2.5)

  * friendly_id (5.1.0)

  * gettext (3.2.1)

  * gettext_i18n_rails (1.4.0)

  * gettext_i18n_rails_js (1.0.3)

  * google-api-client (0.8.6)

  * googleauth (0.5.1)

  * gridster-rails (0.5.6)

  * hirb (0.7.3)

  * hirb-unicode (0.0.5)

  * i18n (0.7.0)

  * immigrant (0.3.5)

  * inflecto (0.0.2)

  * ipaddress (0.8.2)

  * jquery-rails (3.1.4)
  * jquery-turbolinks (2.1.0)

  * jquery-ui-rails (4.2.1)

  * jquery_pwstrength_bootstrap_4 (1.2.2)

  * json (1.8.3)

  * jwt (1.5.2)

  * launchy (2.4.3)

  * ldap_fluff (0.4.0)

  * libv8 (3.11.8.17)

  * little-plugger (1.1.4)

  * locale (2.1.2)

  * logging (2.0.0)

  * mail (2.5.4)

  * maruku (0.7.2)

  * memoist (0.14.0)

  * method_source (0.8.2)

  * mime-types (1.25.1)

  * mini_portile2 (2.0.0)

  * minitest (5.1.0)

  * multi-select-rails (0.9.12)

  * multi_json (1.11.2)

  * multipart-post (2.0.0)

  * net-ldap (0.12.1)

  * net-scp (1.2.1)

  * net-ssh (2.9.4)

  * nokogiri (1.6.7.2)

  * oauth (0.4.7)

  * os (0.9.6)

  * paint (0.9.0)

  * parallel (1.6.1)

  * parallel_tests (2.3.1)

  * parser (2.3.0.2)

  * patternfly-sass (2.9.0)

  * pg (0.15.1)

  * po_to_json (1.0.1)

  * polyglot (0.3.5)

  * powerpack (0.1.1)

  * protected_attributes (1.1.3)

  * pry (0.10.3)

  * quiet_assets (1.1.0)

  * rabl (0.11.8)

  * rack (1.5.5)

  * rack-jsonp (1.3.1)

  * rack-openid (1.4.2)

  * rack-test (0.6.3)

  * rails (4.1.5)

  * rails-i18n (4.0.8)

  * rails-observers (0.1.2)

  * railties (4.1.5)

  * rainbow (2.1.0)

  * rake (10.5.0)

  * rbovirt (0.0.35)

  * rbvmomi (1.8.2)

  * ref (2.0.0)

  * rest-client (1.6.9)

  * retriable (1.4.1)

  * rubocop (0.35.1)

  * ruby-libvirt (0.6.0)

  * ruby-openid (2.7.0)

  * ruby-progressbar (1.7.5)

  * ruby2ruby (2.2.0)

  * ruby_parser (3.7.3)

  * safemode (1.2.2)

  * scoped_search (3.2.2)

  * secure_headers (1.4.1)

  * select2-rails (3.5.9.3)

  * sexp_processor (4.6.1)

  * signet (0.7.2)
  * slop (3.6.0)

  * spice-html5-rails (0.1.5)

  * sprockets (3.5.2)

  * sprockets-rails (2.3.3)

  * sqlite3 (1.3.11)

  * sshkey (1.8.0)

  * text (1.3.1)

  * therubyracer (0.11.3)

  * thor (0.19.1)

  * thread_safe (0.3.5)

  * tilt (2.0.2)

  * tins (1.6.0)

  * treetop (1.4.15)

  * trollop (2.1.2)

  * turbolinks (2.5.3)

  * tzinfo (1.2.2)

  * uglifier (2.7.2)

  * underscore-rails (1.8.3)

  * unicode-display_width (0.1.1)

  * uniform_notifier (1.9.0)

  * validates_lengths_from_database (0.5.0)

  * will_paginate (3.1.0)

  * wirb (1.0.3)

  * xml-simple (1.1.5)

Related issues:

Related to Foreman - Feature #13216: Add API extensions for facets Closed 01/14/2016

Associated revisions

Revision e1dbddda - 02/16/2016 08:15 AM - Tom Caspy

fixes #13567 - fixing locale:pack

apparently, the PO generator treats underscore as something important,

it assumes it's the GetText underscore method, thus, breaking

things in a spactacular way.

removing it solves it.

History

#1 - 02/04/2016 10:54 AM - Dominic Cleal

- Related to Feature #13216: Add API extensions for facets added

#2 - 02/04/2016 10:54 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#3 - 02/15/2016 06:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/3183 added

#4 - 02/16/2016 09:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e1dbdddaad58a0f4cfa9968937d80f9db08546f6.
